package oldMac;

import oldMac.animals.IAnimal;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Farm farm = FarmBuilder.createFarm(args);
		
		System.out.println("All the animals in the farm:");
		System.out.println("-----------------------------");
		for (IAnimal animal: farm){
			System.out.println(animal.getName()+": "+animal.getSound());
		}
		System.out.println();
		System.out.println("Farm status:");
		System.out.println("-------------");
		farm.printStatus();
		System.out.println();
		
		System.out.println("Old Macdonald song:");
		System.out.println("-------------------");
		Song.printSong(farm);
		System.out.println("---");
	}

}
